.. _backend:

*******
Backend
*******

Backend Base
============

.. automodule:: designate.backend.base
    :members:
    :undoc-members:
    :show-inheritance:

Backend Dynect 
==============

.. automodule:: designate.backend.impl_dynect
    :members:
    :undoc-members:
    :show-inheritance:

Backend Multi
=============

.. automodule:: designate.backend.impl_multi
    :members:
    :undoc-members:
    :show-inheritance:

Backend Fake
============

.. automodule:: designate.backend.impl_fake
    :members:
    :undoc-members:
    :show-inheritance:


